/*
** rts/print.h
**
** Viper RTS Print (of data structures) functions
**
** Copyright (c) 1998 Peter Eriksson <pen@lysator.liu.se>
*/

#ifndef VIPER_RTS_PRINT_H
#define VIPER_RTS_PRINT_H

extern void
rts_print_hex(FILE *fp,
	      Byte *bp,
	      int len);


extern void
rts_print_host_parameters(FILE *fp,
			  int version,
			  struct rts_host_parameters *hp);

extern void
rts_print_redundancy_group_information(FILE *fp,
				       int version,
				       struct rts_redundancy_group_information *rp);

extern void
rts_print_static_system_information(FILE *fp,
				    int version,
				    struct rts_static_system_information *sp);

extern void
rts_print_dynamic_system_information(FILE *fp,
				     int version,
				     struct rts_dynamic_system_information *sp);

extern void
rts_print_system_parameters(FILE *fp,
			    int version,
			    struct rts_system_parameters *sp);

extern void
rts_print_vendor_parameters(FILE *fp,
			    int version,
			    struct rts_vendor_parameters *vp);

extern void
rts_print_environmental_information(FILE *fp,
				    int version,
				    struct rts_environmental_information *ep);

#endif
